# Enum Class GffType

java.lang.Object
java.lang.Enum<GffType>
org.snpeff.interval.GffType

All Implemented Interfaces:
  `Serializable, Comparable<GffType>, Constable`

public enum GffType extends Enum<GffType>

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CDS`
`EXON`
`GENE`
`INTERGENIC_CONSERVED`
`INTRON_CONSERVED`
`START_CODON`
`STOP_CODON`
`TRANSCRIPT`
`UNKNOWN`
`UTR3`
`UTR5`

## Method Summary

Modifier and Type
Method
Description
`static GffType`
`parse(String str)`
`static GffType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static GffType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### GENE

public static final GffType GENE

### TRANSCRIPT

public static final GffType TRANSCRIPT

### EXON

public static final GffType EXON

### CDS

public static final GffType CDS

### START_CODON

public static final GffType START_CODON

### STOP_CODON

public static final GffType STOP_CODON

### UTR5

public static final GffType UTR5

### UTR3

public static final GffType UTR3

### INTRON_CONSERVED

public static final GffType INTRON_CONSERVED

### INTERGENIC_CONSERVED

public static final GffType INTERGENIC_CONSERVED

### UNKNOWN

public static final GffType UNKNOWN

## Method Details

### values

public static GffType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static GffType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### parse

public static GffType parse(String str)